org.apache.fop.traits

## Class BorderStyle

- java.lang.Object
- - org.apache.fop.traits.TraitEnum
  - - org.apache.fop.traits.BorderStyle

All Implemented Interfaces:
  Serializable

    public final class BorderStyle
    extends TraitEnum

Enumeration class for border styles.

See Also:
  Serialized Form

### Field Summary

Fields
`static BorderStyle` `DASHED` border-style: dashed
`static BorderStyle` `DOTTED` border-style: dotted
`static BorderStyle` `DOUBLE` border-style: double
`static BorderStyle` `GROOVE` border-style: groove
`static BorderStyle` `HIDDEN` border-style: hidden
`static BorderStyle` `INSET` border-style: inset
`static BorderStyle` `NONE` border-style: none
`static BorderStyle` `OUTSET` border-style: outset
`static BorderStyle` `RIDGE` border-style: ridge
`static BorderStyle` `SOLID` border-style: solid

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `toString()`
`static BorderStyle` `valueOf(int enumValue)` Returns the enumeration/singleton object based on its name.
`static BorderStyle` `valueOf(String name)` Returns the enumeration/singleton object based on its name.

### Methods inherited from class org.apache.fop.traits.TraitEnum

`getEnumValue, getName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NONE

    public static final BorderStyle NONE

border-style: none

#### HIDDEN

    public static final BorderStyle HIDDEN

border-style: hidden

#### DOTTED

    public static final BorderStyle DOTTED

border-style: dotted

#### DASHED

    public static final BorderStyle DASHED

border-style: dashed

#### SOLID

    public static final BorderStyle SOLID

border-style: solid

#### DOUBLE

    public static final BorderStyle DOUBLE

border-style: double

#### GROOVE

    public static final BorderStyle GROOVE

border-style: groove

#### RIDGE

    public static final BorderStyle RIDGE

border-style: ridge

#### INSET

    public static final BorderStyle INSET

border-style: inset

#### OUTSET

    public static final BorderStyle OUTSET

border-style: outset

### Method Detail

#### valueOf

    public static BorderStyle valueOf(String name)

Returns the enumeration/singleton object based on its name.

Parameters:
  `name` - the name of the enumeration value
Returns:
  the enumeration object

#### valueOf

    public static BorderStyle valueOf(int enumValue)

Returns the enumeration/singleton object based on its name.

Parameters:
  `enumValue` - the enumeration value
Returns:
  the enumeration object

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`